stages:
    - test_any_branch

default:
    image: php:7.4-fpm
cache:
    key: "${CI_COMMIT_REF_SLUG}"
    paths:
        - projet/vendor
test_any:
    stage: test_any_branch
    before_script:
        - apt-get update -yqq
        - apt-get install git zip unzip -yqq
        - cd projet
        - curl -sS https://getcomposer.org/installer | php
        - php composer.phar install
    script:
        - php vendor/bin/phpunit
        - php vendor/bin/phpcs
